Subject: Re: How to resolve conflict: Moved away vs. created new file with same name

From: Johannes Schneider <[email-masked]>
Date: Tue, 19 Jan 2010 17:46:37 +0100

On 01/19/2010 03:55 PM, Johannes Sixt wrote:
> Please keep the discussion on the list. I'm not your personal support dude.

Sorry, unintentional. TB3 has a menu entry called "reply to list" that 
obviously does not what I expected from...

>
> Johannes Schneider schrieb:
>> On 01/19/2010 12:55 PM, Johannes Sixt wrote:
>>>> So I am trying to mimic the change in TopicA:
>>>>
>>>> cd client
>>>> mkdir client3
>>>> mv pom.xml client3
>>>> mv src client3
>>>> ...commit...
>>>
>>> Did you do this during the merge? If not, go back to TopicA and redo it;
>>> then you avoid the conflict during the merge.
>>
>> Yes, I have done this in TopicA *before* the merge. I knew that there
>> will be conflicting directories and tried to clean that up before.
>>
>>> During the merge without the fixup suggested above:
>>>
>>> git rm -f client/client3/pom.xml
>>> git checkout TopicA -- client/pom.xml
>>> git mv client/pom.xml client/client3/pom.xml
>>> git checkout TopicB -- client/pom.xml
>>>
>>> but it leaves you with an ugly history, and it would be far better to fix
>>> up TopicA before the merge.
>>
>> Yep. I prefer a clean history ;-). So do you know how to solve that
>> issue with a cleaned up TopicA branch?
>
> I don't see an issue if you have cleaned up TopicA. Where is it? Did you
> really do what you said you did?
>
> -- Hannes
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html